Loading...
Searching...
No Matches
yaml_parser.h File Reference

A YAML parser helper. More...

`#include <iterator>`
`#include <map>`
`#include <optional>`
`#include <stdint.h>`
`#include <string>`
`#include <string_view>`
`#include <vector>`
`#include <libcamera/base/class.h>`
`#include <libcamera/geometry.h>`
Include dependency graph for yaml_parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::YamlObject
| A class representing the tree structure of the YAML content. More...
class | libcamera::YamlParser
| A helper class for parsing a YAML file. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

A YAML parser helper.